Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
MessageDispatchDelegate Delegate
See Also Send Feedback

Application-specific function used to handle messages sent over Replication Manager message channels.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate void MessageDispatchDelegate(
    	DbChannel channel,
    	ref DatabaseEntry[] requests,
    	out uint size,
    	bool need_response
    )

Visual Basic (Declaration)
    Public Delegate Sub MessageDispatchDelegate ( _
    	channel As DbChannel, _
    	ByRef requests As DatabaseEntry(), _
    	<OutAttribute> ByRef size As UInteger, _
    	need_response As Boolean _
    )

Visual C++
    public delegate void MessageDispatchDelegate(
    	DbChannel^ channel,
    	array<DatabaseEntry^>^% requests,
    	[OutAttribute] unsigned int% size,
    	bool need_response
    )

#### Parameters

channel
  Type: BerkeleyDB..::.DbChannel
  Channel used to send a reply back to the originator of the message.

requests
  Type: array< BerkeleyDB..::.DatabaseEntry >[]()[] %
  DatabaseEntry array containing the message received from the remote site.

size
  Type: System..::.UInt32 %
  The number of elements in the request array.

need_response
  Type: System..::.Boolean
  Whether the message requires a response.

# See Also

BerkeleyDB Namespace